drop proc in_inicioinventario_proc
go

create proc in_inicioinventario_proc
--inicia la toma de inventario
as
declare @siteorig  ud_idsite	--site que inicia inventario
set @siteorig=(select sourcesite from setup)
begin tran
	update site 	set startdateinven=getdate(),ADJUST=0  where siteid=@siteorig
	
	IF (@@error!=0) or @@rowcount=0
	    BEGIN
        	RAISERROR  20001 'Error Iniciando Inventario en tabla site'
	        ROLLBACK TRAN
        	RETURN(1)
    	END
	update in_setup set stkfisi=1
	IF (@@error!=0)
	    BEGIN
	        RAISERROR  20001 'Error Iniciando Inventario en tabla in_setup'
	        ROLLBACK TRAN
	        RETURN(1)
	END
    COMMIT TRAN

    RETURN(0)
go

exec in_inicioinventario_proc 


